## Class Swift_SendmailTransport

(line 20)

## Description

    Swift_Transport_AbstractSmtpTransport
       |
       --Swift_Transport_SendmailTransport
          |
          --Swift_SendmailTransport

Located in File: /vendors/swiftMailer/classes/Swift/SendmailTransport.php

##### SendmailTransport for sending mail through a sendmail/postfix (etc..) binary.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
static Swift_SendmailTransport newInstance ([string $command = '/usr/sbin/sendmail -bs'])
Swift_SendmailTransport __construct ([string $command = '/usr/sbin/sendmail -bs'])

#### Static Method newInstance (line 43)

#### Swift_SendmailTransport newInstance( [string $command = '/usr/sbin/sendmail -bs'])

##### Create a new SendmailTransport instance.

#### Parameters

- string $command:

#### Info

- access - public

#### Constructor __construct (line 27)

#### Swift_SendmailTransport __construct( [string $command = '/usr/sbin/sendmail -bs'])

Overrides : Swift_Transport_SendmailTransport::__construct() Create a new SendmailTransport with $buf for I/O.

##### Create a new SendmailTransport, optionally using $command for sending.

#### Parameters

- string $command:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Transport_AbstractSmtpTransport

#### Swift_Transport_AbstractSmtpTransport::$_buffer - Input-Output buffer for sending/receiving SMTP commands and responses

#### Swift_Transport_AbstractSmtpTransport::$_domain - The domain name to use in HELO command

#### Swift_Transport_AbstractSmtpTransport::$_eventDispatcher - The event dispatching layer

#### Swift_Transport_AbstractSmtpTransport::$_started - Connection status

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Transport_SendmailTransport

#### Swift_Transport_SendmailTransport::__construct() - Create a new SendmailTransport with $buf for I/O.

#### Swift_Transport_SendmailTransport::getCommand() - Get the sendmail command which will be invoked.

#### Swift_Transport_SendmailTransport::send() - Send the given Message.

#### Swift_Transport_SendmailTransport::setCommand() - Set the command to invoke.

#### Swift_Transport_SendmailTransport::start() - Start the standalone SMTP session if running in -bs mode.

#### Swift_Transport_SendmailTransport::_getBufferParams() - Get the params to initialize the buffer

#### Inherited From Class Swift_Transport_AbstractSmtpTransport

#### Swift_Transport_AbstractSmtpTransport::__construct() - Creates a new EsmtpTransport using the given I/O buffer.

#### Swift_Transport_AbstractSmtpTransport::executeCommand() - Run a command against the buffer, expecting the given response codes.

#### Swift_Transport_AbstractSmtpTransport::getBuffer() - Get the IoBuffer where read/writes are occurring.

#### Swift_Transport_AbstractSmtpTransport::getLocalDomain() - Get the name of the domain Swift will identify as.

#### Swift_Transport_AbstractSmtpTransport::isStarted() - Test if an SMTP connection has been established.

#### Swift_Transport_AbstractSmtpTransport::registerPlugin() - Register a plugin.

#### Swift_Transport_AbstractSmtpTransport::reset() - Reset the current mail transaction.

#### Swift_Transport_AbstractSmtpTransport::send() - Send the given Message.

#### Swift_Transport_AbstractSmtpTransport::setLocalDomain() - Set the name of the local domain which Swift will identify itself as.

#### Swift_Transport_AbstractSmtpTransport::start() - Start the SMTP connection.

#### Swift_Transport_AbstractSmtpTransport::stop() - Stop the SMTP connection.

#### Swift_Transport_AbstractSmtpTransport::_assertResponseCode() - Throws an Exception if a response code is incorrect

#### Swift_Transport_AbstractSmtpTransport::_doDataCommand() - Send the DATA command

#### Swift_Transport_AbstractSmtpTransport::_doHeloCommand() - Send the HELO welcome

#### Swift_Transport_AbstractSmtpTransport::_doMailFromCommand() - Send the MAIL FROM command

#### Swift_Transport_AbstractSmtpTransport::_doRcptToCommand() - Send the RCPT TO command

#### Swift_Transport_AbstractSmtpTransport::_getBufferParams() - Return an array of params for the Buffer

#### Swift_Transport_AbstractSmtpTransport::_getFullResponse() - Get an entire multi-line response using its sequence number

#### Swift_Transport_AbstractSmtpTransport::_getReversePath() - Determine the best-use reverse path for this message

#### Swift_Transport_AbstractSmtpTransport::_readGreeting() - Read the opening SMTP greeting

#### Swift_Transport_AbstractSmtpTransport::_streamMessage() - Stream the contents of the message over the buffer

#### Swift_Transport_AbstractSmtpTransport::_throwException() - Throw a TransportException, first sending it to any listeners

#### Swift_Transport_AbstractSmtpTransport::__destruct() - Destructor.

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3